@charset "utf-8";

/* 초기화 */
html {}
body {margin:0;padding:0;font-size:0.75em;font-family:'Pretendard', 'noto-sans', dotum, sans-serif;background:#fff;color:#121212;}
html, h1, h2, h3, h4, h5, h6, form, fieldset, img {margin:0;padding:0;border:0}
h1, h2, h3, h4, h5, h6 {font-size:1em;font-family:'Pretendard', 'noto-sans', dotum, sans-serif;}
article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {display:block}

ul, dl,dt,dd {margin:0;padding:0;list-style:none}
legend {position:absolute;margin:0;padding:0;font-size:0;line-height:0;text-indent:-9999em;overflow:hidden}
label, input, button, select, img {vertical-align:middle;font-size:1em}
input, button {margin:0;padding:0;font-family:'Pretendard', 'noto-sans', dotum, sans-serif;font-size:1em}
input[type="submit"] {cursor:pointer}
button {cursor:pointer}

textarea, select {font-family:'Pretendard', 'noto-sans', dotum, sans-serif;font-size:1em}
select {margin:0}
p {margin:0;padding:0;word-break:break-all}
hr {display:none}
pre {overflow-x:scroll;font-size:1.1em}
a {color:inherit;text-decoration:none}

*, :after, :before {
  -webkit-box-sizing:border-box;
  -moz-box-sizing:border-box;
  box-sizing:border-box;
}

input[type=text],input[type=password], input[type=email], 
textarea {
-webkit-transition:all 0.30s ease-in-out;
-moz-transition:all 0.30s ease-in-out;
-ms-transition:all 0.30s ease-in-out;
-o-transition:all 0.30s ease-in-out;
outline:none;
}

input[type=text]:focus,input[type=password]:focus, input[type=email]:focus, 
textarea:focus,select:focus {
/*-webkit-box-shadow:0 0 5px #9ed4ff;
-moz-box-shadow:0 0 5px #9ed4ff;
box-shadow:0 0 5px #9ed4ff;
border:1px solid #558ab7 !important;*/
}

.placeholdersjs {color:#aaa !important}


/* 게시물 선택복사 선택이동 */
#copymove {}
#copymove .win_desc {text-align:center;display:block}
#copymove .tbl_wrap {margin:20px}
#copymove .win_btn {padding:0 20px 20px}
.copymove_current {float:right;background:#ff3061;padding:5px;color:#fff;border-radius:3px}
.copymove_currentbg {background:#f4f4f4}

/* 화면낭독기 사용자용 */
#hd_login_msg {position:absolute;top:0;left:0;font-size:0;line-height:0;overflow:hidden}
.msg_sound_only, .sound_only {display:inline-block !important;position:absolute;top:0;left:0;width:0;height:0;margin:0 !important;padding:0 !important;font-size:0;line-height:0;border:0 !important;overflow:hidden !important}

/* 본문 바로가기 */
#skip_to_container a {z-index:100000;position:absolute;top:0;left:0;width:1px;height:1px;font-size:0;line-height:0;overflow:hidden}
#skip_to_container a:focus, #skip_to_container a:active {width:100%;height:75px;background:#21272e;color:#fff;font-size:2em;font-weight:bold;text-align:center;text-decoration:none;line-height:3.3em}

/* ie6 이미지 너비 지정 */
.img_fix {width:100%;height:auto}

/* 캡챠 자동등록(입력)방지 기본 -pc */
#captcha {display:inline-block;position:relative}
#captcha legend {position:absolute;margin:0;padding:0;font-size:0;line-height:0;text-indent:-9999em;overflow:hidden}
#captcha #captcha_img {height:40px;border:1px solid #898989;vertical-align:top;padding:0;margin:0}
#captcha #captcha_mp3 {margin:0;padding:0;width:40px;height:40px;border:0;background:transparent;vertical-align:middle;overflow:hidden;cursor:pointer;background:url('../../../img/captcha2.png') no-repeat;text-indent:-999px;border-radius:3px}
#captcha #captcha_reload {margin:0;padding:0;width:40px;height:40px;border:0;background:transparent;vertical-align:middle;overflow:hidden;cursor:pointer;background:url('../../../img/captcha2.png') no-repeat 0 -40px;text-indent:-999px;border-radius:3px}
#captcha #captcha_key {margin:0 0 0 3px;padding:0 5px;width:90px;height:40px;border:1px solid #ccc;background:#fff;font-size:1.333em;font-weight:bold;text-align:center;border-radius:3px;vertical-align:top}
#captcha #captcha_info {display:block;margin:5px 0 0;font-size:0.95em;letter-spacing:-0.1em}

/* 캡챠 자동등록(입력)방지 기본 - mobile */
#captcha.m_captcha audio {display:block;margin:0 0 5px;width:187px}
#captcha.m_captcha #captcha_img {width:160px;height:60px;border:1px solid #e9e9e9;margin-bottom:3px;margin-top:5px;display:block}
#captcha.m_captcha #captcha_reload {position:static;margin:0;padding:0;width:40px;height:40px;border:0;background:transparent;vertical-align:middle;overflow:hidden;cursor:pointer;background:url('../../../img/captcha2.png') no-repeat 0 -40px;text-indent:-999px}
#captcha.m_captcha #captcha_reload span {display:none}
#captcha.m_captcha #captcha_key {margin:0;padding:0 5px;width:115px;height:29px;border:1px solid #b8c9c2;background:#f7f7f7;font-size:1.333em;font-weight:bold;text-align:center;line-height:29px;margin-left:3px}
#captcha.m_captcha #captcha_info {display:block;margin:5px 0 0;font-size:0.95em;letter-spacing:-0.1em}
#captcha.m_captcha #captcha_mp3 {width:31px;height:31px;background:url('../../../img/captcha2.png') no-repeat 0 0 ; vertical-align:top;overflow:hidden;cursor:pointer;text-indent:-9999px;border:none}

/* ckeditor 단축키 */
.cke_sc {margin:0 0 5px;text-align:right}
.btn_cke_sc {display:inline-block;padding:0 10px;height:23px;border:1px solid #ccc;background:#fafafa;color:#000;text-decoration:none;line-height:1.9em;vertical-align:middle;cursor:pointer}
.cke_sc_def {margin:0 0 5px;padding:10px;border:1px solid #ccc;background:#f7f7f7;text-align:center}
.cke_sc_def dl {margin:0 0 5px;text-align:left;zoom:1}
.cke_sc_def dl:after {display:block;visibility:hidden;clear:both;content:""}
.cke_sc_def dt, .cke_sc_def dd {float:left;margin:0;padding:5px 0;border-bottom:1px solid #e9e9e9}
.cke_sc_def dt {width:20%;font-weight:bold}
.cke_sc_def dd {width:30%}

/* ckeditor 태그 기본값 */
#bo_v_con ul {display:block;list-style-type:disc;margin-top:1em;margin-bottom:1em;margin-left:0;margin-right:0;padding-left:40px}
#bo_v_con ol {display:block;list-style-type:decimal;margin-top:1em;margin-bottom:1em;margin-left:0;margin-right:0;padding-left:40px}
#bo_v_con li {display:list-item}

/* 버튼 */
a.btn,.btn {line-height:35px;height:35px;padding:0 10px;text-align:center;font-weight:bold;border:0;font-size:1.4em;
-webkit-transition:background-color 0.3s ease-out;
-moz-transition:background-color 0.3s ease-out;
-o-transition:background-color 0.3s ease-out;
transition:background-color 0.3s ease-out}

a.btn01 {display:inline-block;padding:7px;border:1px solid #ccc;background:#fafafa;color:#000;text-decoration:none;vertical-align:middle}
a.btn01:focus, a.btn01:hover {text-decoration:none}
button.btn01 {display:inline-block;margin:0;padding:7px;border:1px solid #ccc;background:#fafafa;color:#000;text-decoration:none}
a.btn02 {display:inline-block;padding:7px;border:1px solid #3b3c3f;background:#4b545e;color:#fff;text-decoration:none;vertical-align:middle}
a.btn02:focus, .btn02:hover {text-decoration:none}
button.btn02 {display:inline-block;margin:0;padding:7px;border:1px solid #3b3c3f;background:#4b545e;color:#fff;text-decoration:none}

.btn_confirm {text-align:right} /* 서식단계 진행 */

.btn_submit {border:0;background:#3a8afd;color:#fff;cursor:pointer;border-radius:3px}
.btn_submit:hover {background:#2375eb}
.btn_close {border:1px solid #dcdcdc;cursor:pointer;border-radius:3px;background:#fff}
a.btn_close {text-align:center;line-height:50px}

a.btn_cancel {display:inline-block;background:#969696;color:#fff;text-decoration:none;vertical-align:middle}
button.btn_cancel {display:inline-block;background:#969696;color:#fff;text-decoration:none;vertical-align:middle}
.btn_cancel:hover {background:#aaa}
a.btn_frmline, button.btn_frmline {display:inline-block;width:128px;padding:0 5px;height:40px;border:0;background:#434a54;border-radius:3px;color:#fff;text-decoration:none;vertical-align:top} /* 우편번호검색버튼 등 */
a.btn_frmline {}
button.btn_frmline {font-size:1em}

/* 게시판용 버튼 */
a.btn_b01,.btn_b01 {display:inline-block;color:#bababa;text-decoration:none;vertical-align:middle;border:0;background:transparent}
.btn_b01:hover, .btn_b01:hover {color:#000}
a.btn_b02,.btn_b02 {display:inline-block;background:#253dbe;padding:0 10px;color:#fff;text-decoration:none;border:0;vertical-align:middle}
a.btn_b02:hover, .btn_b02:hover {background:#0025eb}
a.btn_b03, .btn_b03 {display:inline-block;background:#fff;border:1px solid #b9bdd3;color:#646982;text-decoration:none;vertical-align:middle}
a.btn_b03:hover, .btn_b03:hover {background:#ebedf6}
a.btn_b04, .btn_b04 {display:inline-block;background:#fff;border:1px solid #ccc;color:#707070;text-decoration:none;vertical-align:middle}
a.btn_b04:hover, .btn_b04:hover {color:#333;background:#f9f9f9}
a.btn_admin,.btn_admin {display:inline-block;color:#d13f4a;text-decoration:none;vertical-align:middle} /* 관리자 전용 버튼 */
.btn_admin:hover, a.btn_admin:hover {color:#ff3746}


/* 기본테이블 */
.tbl_wrap table {width:100%;border-collapse:collapse;border-spacing:0 5px;background:#fff;border-top:1px solid #ececec;border-bottom:1px solid #ececec} 
.tbl_wrap caption {padding:10px 0;font-weight:bold;text-align:left}
.tbl_head01 {margin:0 0 10px}
.tbl_head01 caption {padding:0;font-size:0;line-height:0;overflow:hidden}
.tbl_head01 thead th {padding:20px 0;font-weight:normal;text-align:center;border-bottom:1px solid #ececec;height:40px}
.tbl_head01 thead th input {vertical-align:top} /* middle 로 하면 게시판 읽기에서 목록 사용시 체크박스 라인 깨짐 */
.tbl_head01 tfoot th, .tbl_head01 tfoot td {padding:10px 0;border-top:1px solid #c1d1d5;border-bottom:1px solid #c1d1d5;background:#d7e0e2;text-align:center}
.tbl_head01 tbody th {padding:8px 0;border-bottom:1px solid #e8e8e8}
.tbl_head01 td {color:#666;padding:10px 5px;border-top:1px solid #ecf0f1;border-bottom:1px solid #ecf0f1;line-height:1.4em;height:60px;word-break:break-all}
.tbl_head01 tbody tr:hover td {background:#fafafa}
.tbl_head01 a:hover {text-decoration:underline}

.tbl_head02 {margin:0 0 10px}
.tbl_head02 caption {padding:0;font-size:0;line-height:0;overflow:hidden}
.tbl_head02 thead th {padding:5px 0;border-top:1px solid #d1dee2;border-bottom:1px solid #d1dee2;background:#e5ecef;color:#383838;font-size:0.95em;text-align:center;letter-spacing:-0.1em}
.tbl_head02 thead a {color:#383838}
.tbl_head02 thead th input {vertical-align:top} /* middle 로 하면 게시판 읽기에서 목록 사용시 체크박스 라인 깨짐 */
.tbl_head02 tfoot th, .tbl_head02 tfoot td {padding:10px 0;border-top:1px solid #c1d1d5;border-bottom:1px solid #c1d1d5;background:#d7e0e2;text-align:center}
.tbl_head02 tbody th {padding:5px 0;border-top:1px solid #e9e9e9;border-bottom:1px solid #e9e9e9;background:#fff}
.tbl_head02 td {padding:5px 3px;border-top:1px solid #e9e9e9;border-bottom:1px solid #e9e9e9;background:#fff;line-height:1.4em;word-break:break-all}
.tbl_head02 a {}

/* 폼 테이블 */
.tbl_frm01 {margin:0 0 20px}
.tbl_frm01 table {width:100%;border-collapse:collapse;border-spacing:0}
.tbl_frm01 th {width:70px;padding:7px 13px;border:1px solid #e9e9e9;border-left:0;background:#f5f8f9;text-align:left}
.tbl_frm01 td {padding:7px 10px;border-top:1px solid #e9e9e9;border-bottom:1px solid #e9e9e9;background:transparent}
.wr_content textarea,.tbl_frm01 textarea,.form_01 textarea, .frm_input {border:1px solid #d0d3db;background:#fff;color:#000;vertical-align:middle;border-radius:3px;padding:5px;
-webkit-box-shadow:inset 0 1px 1px rgba(0, 0, 0, .075);
-moz-box-shadow:inset 0 1px 1px rgba(0, 0, 0, .075);
box-shadow:inset 0 1px 1px rgba(0, 0, 0, .075);
}
.tbl_frm01 textarea {padding:2px 2px 3px}
.frm_input {height:40px}

.full_input {width:100%}
.half_input {width:49.5%}
.twopart_input {width:385px;margin-right:10px}
.tbl_frm01 textarea, .write_div textarea {width:100%;height:100px}
.tbl_frm01 a {text-decoration:none}
.tbl_frm01 .frm_file {display:block;margin-bottom:5px}
.tbl_frm01 .frm_info {display:block;padding:0 0 5px;line-height:1.4em}

/*기본 리스트*/
.list_01 ul {border-top:1px solid #ececec}
.list_01 li {border-bottom:1px solid #ececec;background:#fff;padding:10px 15px;list-style:none;position:relative}
.list_01 li:nth-child(odd) {background:#f6f6f6}
.list_01 li:after {display:block;visibility:hidden;clear:both;content:""}
.list_01 li:hover {background:#f9f9f9}
.list_01 li.empty_li {text-align:center;padding:20px 0;color:#666}

/*폼 리스트*/
.form_01 h2 {font-size:1.167em}
.form_01 li {margin-bottom:10px}
.form_01 ul:after,
.form_01 li:after {display:block;visibility:hidden;clear:both;content:""}
.form_01 .left_input {float:left}
.form_01 .margin_input {margin-right:1%}
.form_01 textarea {height:100px;width:100%}
.form_01 .frm_label {display:inline-block;width:130px}

/* 자료 없는 목록 */
.empty_table {padding:50px 0 !important;text-align:center}
.empty_list {padding:20px 0 !important;color:#666;text-align:center}

/* 필수입력 */
.required, textarea.required {background-image:url('../img/require.png') !important;background-repeat:no-repeat !important;background-position:right top !important}

/* 테이블 항목별 정의 */
.td_board {width:80px;text-align:center}
.td_category {width:80px;text-align:center}
.td_chk {width:30px;text-align:center}
.td_date {width:60px;text-align:center}
.td_datetime {width:110px;text-align:center}
.td_group {width:80px;text-align:center}
.td_mb_id {width:100px;text-align:center}
.td_mng {width:80px;text-align:center}
.td_name {width:100px;text-align:left}
.td_nick {width:100px;text-align:center}
.td_num {width:50px;text-align:center}
.td_numbig {width:80px;text-align:center}
.td_stat {width:60px;text-align:center}

.txt_active {color:#5d910b}
.txt_done {color:#e8180c}
.txt_expired {color:#ccc}
.txt_rdy {color:#8abc2a}

/* 새창 기본 스타일 */
.new_win {position:relative}
.new_win .tbl_wrap {margin:0 20px}
.new_win #win_title {font-size:1.3em;height:50px;line-height:30px;padding:10px 20px;background:#fff;color:#000;-webkit-box-shadow:0 1px 10px rgba(0,0,0,.1);
-moz-box-shadow:0 1px 10px rgba(0,0,0,.1);
box-shadow:0 1px 10px rgba(0,0,0,.1)}
.new_win #win_title .sv {font-size:0.75em;line-height:1.2em}
.new_win .win_ul {margin-bottom:15px;padding:0 20px}
.new_win .win_ul:after {display:block;visibility:hidden;clear:both;content:""}
.new_win .win_ul li {float:left;background:#fff;text-align:center;padding:0 10px;border:1px solid #d6e9ff;border-radius:30px;margin-left:5px}
.new_win .win_ul li:first-child {margin-left:0}
.new_win .win_ul li a {display:block;padding:8px 0;color:#6794d3}
.new_win .win_ul .selected {background:#3a8afd;border-color:#3a8afd;position:relative;z-index:5}
.new_win .win_ul .selected a {color:#fff;font-weight:bold}
.new_win .win_desc {position:relative;margin:10px;border-radius:5px;font-size:1em;background:#f2838f;color:#fff;line-height:50px;text-align:left;padding:0 20px}
.new_win .win_desc i {font-size:1.2em;vertical-align:baseline}
.new_win .win_desc:after {content:"";position:absolute;left:0;top:0;width:4px;height:50px;background:#da4453;border-radius:3px 0 0 3px}
.new_win .frm_info {font-size:0.92em;color:#919191}
.new_win .win_total {float:right;display:inline-block;line-height:30px;font-weight:normal;font-size:0.75em;color:#3a8afd;background:#f6f6f6;padding:0 10px;border-radius:5px}
.new_win .new_win_con {margin:20px 0;padding:20px}
.new_win .new_win_con:after {display:block;visibility:hidden;clear:both;content:""}
.new_win .new_win_con2 {margin:20px 0}
.new_win .btn_confirm:after {display:block;visibility:hidden;clear:both;content:""}
.new_win .win_btn {text-align:center}
.new_win .cert_btn {margin-bottom:30px;text-align:center}
.new_win .btn_close {padding:0 20px;height:45px;overflow:hidden;cursor:pointer}
.new_win .btn_submit {padding:0 20px;height:45px;font-weight:bold;font-size:1.083em}

/* 검색결과 색상 */
.sch_word {color:#fff;background:#ff005a;padding:2px 5px 3px;line-height:18px;margin:0 2px}

/* 자바스크립트 alert 대안 */
#validation_check {margin:100px auto;width:500px}
#validation_check h1 {margin-bottom:20px;font-size:1.3em}
#validation_check p {margin-bottom:20px;padding:30px 20px;border:1px solid #e9e9e9;background:#fff}

/* 사이드뷰 */
.sv_wrap {position:relative;font-weight:normal}
.sv_wrap .sv {z-index:1000;display:none;margin:5px 0 0;font-size:0.92em;background:#333;
-webkit-box-shadow:2px 2px 3px 0px rgba(0,0,0,0.2);
-moz-box-shadow:2px 2px 3px 0px rgba(0,0,0,0.2);
box-shadow:2px 2px 3px 0px rgba(0,0,0,0.2)}
.sv_wrap .sv:before {content:"";position:absolute;top:-6px;left:15px;width:0;height:0;border-style:solid;border-width:0 6px 6px 6px;border-color:transparent transparent #333 transparent}
.sv_wrap .sv a {display:inline-block;margin:0;padding:0 10px;line-height:30px;width:100px;font-weight:normal;color:#bbb}
.sv_wrap .sv a:hover {background:#000;color:#fff}
.sv_member {color:#333}
.sv_on {display:block !important;position:absolute;top:23px;left:0px;width:auto;height:auto}
.sv_nojs .sv {display:block}

/* 페이징 */
.pg_wrap {display:block;margin-top:80px;}
.pg_wrap.ver2 {margin-top:50px;}
.pg {display:flex;align-items:center;justify-content:center;flex-wrap:wrap;gap:5px;}
.pg_page, .pg_current {display:flex;align-items:center;justify-content:center;width:24px;height:24px;background:#F8F8F8;border-radius:2px;text-align:center;font-size:12px;line-height:1.1;font-weight:500;color:#9B9B9B;padding-top:2px;position:relative;cursor:pointer;}
.pg_start {text-indent:-999px;overflow:hidden;background:url('../img/btn_first.svg') no-repeat center;}
.pg_prev {text-indent:-999px;overflow:hidden;background:url('../img/btn_prev.svg') no-repeat center}
.pg_end {text-indent:-999px;overflow:hidden;background:url('../img/btn_end.svg') no-repeat center;}
.pg_next {text-indent:-999px;overflow:hidden;background:url('../img/btn_next.svg') no-repeat center;}
.pg_start::before, .pg_prev::before, .pg_end::before, .pg_next::before {display:none;}
.pg_start + .pg_page::before {display:none;}
.pg_prev + .pg_page::before {display:none;}
.pg_current {background:#EDEDED;color:#464646;}

/* cheditor 이슈 */
.cheditor-popup-window *, .cheditor-popup-window :after, .cheditor-popup-window :before {
-webkit-box-sizing:content-box;
-moz-box-sizing:content-box;
box-sizing:content-box;
}

/* Mobile화면으로 */
#device_change {display:block;margin:0.3em;padding:0.5em 0;border:1px solid #eee;border-radius:2em;background:#fff;color:#000;font-size:2em;text-decoration:none;text-align:center}

/** reset */
a {
	-webkit-tap-highlight-color: transparent; 
	-webkit-tap-highlight-color: rgba(0,0,0,0);
	
	-webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
div {
	-webkit-tap-highlight-color: transparent; 
	-webkit-tap-highlight-color: rgba(0,0,0,0); 
}
label {
	-webkit-tap-highlight-color: transparent; 
	-webkit-tap-highlight-color: rgba(0,0,0,0);
}


/** safearea inset */
/* .inset-top, .safe-top-wrap, .safe_top_wrap {
	padding-top: calc(constant(safe-area-inset-top)) !important; 
	padding-top: calc(env(safe-area-inset-top)) !important; 
}
.inset-bot, .safe-bot-wrap, .safe_bot_wrap {
	padding-bottom: calc(constant(safe-area-inset-bottom)) !important; 
	padding-bottom: calc(env(safe-area-inset-bottom)) !important; 
} */


/** scrollbar */
.non-scrollbar {
    -ms-overflow-style: none; /* 인터넷 익스플로러 */
    scrollbar-width: none; /* 파이어폭스 */
}
.non-scrollbar::-webkit-scrollbar {display: none;}



/** checkbox | radio */
input[type="radio"], input[type="checkbox"] {position: absolute; bottom: 0; left: 0; width: 1px; height: 1px; margin: -1px; visibility: hidden; appearance: none; }
.radio_item {
	display: block; position: relative; 
	
	.elem {display: flex; align-items: center; cursor: pointer; }
	.label {user-select: none; }
	&.type1 {
		input[type="radio"] {
			&:checked {
				~ .elem .box {
					border-color: rgb(var(--color-primary)); background: rgb(var(--color-primary));

					&:before {
						display: block; clear: both; content: ''; 
						width: 10px; height: 10px; border-radius: 10px; background: rgb(var(--color-white)); 
					}
				}
			}
		}
		.elem {gap: 12px; }
		.box {
			display: flex; justify-content: center; align-items: center; 
			width: 24px; height: 24px; border: 1px solid rgb(var(--color-gray-006)); border-radius: 20px; background: rgb(var(--color-white));  
		}
		.label {color: rgb(var(--color-gray-002)); font-size: 16px; font-weight: 500; }
	}
	&.type2 {
		height: 42px; 
		
		input[type="radio"] {
			&:checked {
				~ .elem {background: rgb(var(--color-secondary)); color: rgb(var(--color-white)); }
			}
		}
		.elem {
			justify-content: center; height: 100%; border-radius: 6px; background: rgb(var(--color-gray-008)); font-size: 15px; 
		}
	}
}

.check_item {
	display: block; position: relative; cursor: pointer; 
	-webkit-user-select: none; 
	-webkit-touch-callout: none;
	user-select: none; 
	
	.elem {display: flex; align-items: center; gap: 10px; }
	.box {}
	.label {}
	
	&.type1 {
		.box {width: 14px; height: 10px; background: url('/img/common/icon_chk_1_off.svg') no-repeat center/ contain; }
		.label {color: rgb(var(--color-gray-002)); font-size: 16px; font-weight: 500; }
		
		input[type="checkbox"] {
			&:checked {
				~ .elem .box {
					background: url('/img/common/icon_chk_1_on.svg') no-repeat center/ contain; 
				}
			}
		}
		
	}
}


/** button */
input[type="button"] {border: none; font-size: 0; cursor: pointer; }
button {border: none; background: none; color: inherit; }
.button {
	display: flex; justify-content: center; align-items: center; 
	width: inherit; height: 50px; border: 1px solid transparent; border-radius: 10px; font-size: 15px; font-weight: 500; outline: none; 
	
	.label {flex-shrink: 0; }
	&:before {flex-shrink: 0; }
	&.inactive {background: rgb(var(--color-gray-006)) !important; color: rgb(var(--color-white)) !important; }
	&.active {background: rgb(var(--color-primary))!important; color: rgb(var(--color-white)) !important; }
	&.primary {
		background: rgb(var(--color-primary)) !important; color: rgb(var(--color-white)) !important; 
		
		&.border {border-color: rgb(var(--color-primary)) !important; background: rgb(var(--color-white)) !important; color: rgb(var(--color-primary)) !important; }
	}
	&.secondary {
		background: rgb(var(--color-secondary)) !important; color: rgb(var(--color-white)) !important; 
		
		&.border {border-color: rgb(var(--color-secondary)) !important; background: rgb(var(--color-white)) !important; color: rgb(var(--color-secondary)) !important; }
	}
	&.red {
		background: rgb(var(--color-alert)) !important; color: rgb(var(--color-white)) !important; 
		
		&.border {border-color: rgb(var(--color-alert)) !important; background: rgb(var(--color-white)) !important; color: rgb(var(--color-alert)) !important; }
	}
	&.gray {
		background: rgb(var(--color-gray-007)) !important; color: rgb(var(--color-gray-003)) !important; 
		
		&.border {border-color: rgb(var(--color-gray-007)) !important; background: rgb(var(--color-white)) !important; color: rgb(var(--color-gray-003)) !important; }
	}
	&.gray2 {
		background: rgb(var(--color-gray-007)) !important; color: rgb(var(--color-gray-002)) !important; 
		
		&.border {border-color: rgb(var(--color-gray-007)) !important; background: rgb(var(--color-white)) !important; color: rgb(var(--color-gray-002)) !important; }
	}
	
}



/** input text */
.input_wrap {
	display: flex; align-items: center; 
	position: relative; height: 46px; padding: 0 12px; 
	border: 1px solid rgb(var(--color-gray-007)); border-radius: 8px; font-size: 15px; font-weight: 500; overflow: hidden;
	
	> input {
		display: block; width: 100%; height: 100%; border: none; background: none;
	}
	.unit {margin-left: 12px;}
	
	&.readonly {background: rgb(var(--color-gray-008)); }
}
.fake_input {display: flex; align-items: center; width: 100%; height: 100%; background: none; border: none; font-size: 15px; cursor: pointer;}


/** textarea */
.textarea_wrap {
	display: flex; height: 138px; border: 1px solid rgb(var(--color-gray-007)); border-radius: 8px; 
	textarea {flex: 1; width: auto; height: 100%; padding: 12px; border: none; background: none; resize: none; font-size: 15px; }
}



/** select */
select {border: none; background: none; color: inherit; outline: none; appearance: none; }
.select_wrap {
	display: flex; height: 46px; border: 1px solid rgb(var(--color-gray-007)); border-radius: 8px; 
	select {flex: 1; width: auto; height: 100%; padding: 0 12px; background: url('/img/common/icon_select_arrow.svg') no-repeat right 12px center; font-size: 15px; font-weight: 500; }
}

::placeholder {color: rgb(var(--color-gray-004));}

/** field */
fieldset {display: flex; flex-direction: column; gap: 30px; }
.fld_wrap {
	.fld_label {
		display: flex; justify-content: flex-start; align-items: center; gap: 2px; margin-bottom: 10px; line-height: 16px; font-size: 14px; 
		user-select: none; 
		-webkit-user-select: none; 
		
		.sub_label {margin-left: 0px; color: rgb(var(--color-gray-005));}
		
		&.req:after {display: block; clear: both; content: '*'; color: rgb(var(--color-primary));}
	}
	.fld_cont {
		display: flex; flex-direction: column; gap: 12px; 
		
		.attached_img_area {
			display: flex; gap: 10px; flex-wrap: wrap; 
			
			.attach_item {
				display: flex; justify-content: center; align-items: center; 
				position: relative; width: 80px; height: 80px; 
				
				.add_img {
					display: flex; flex-direction: column; justify-content: center; align-items: center; gap: 10px; 
					position: absolute; top: 0; left: 0; width: 100%; height: 100%;
					border: 1px solid rgb(var(--color-gray-007)); border-radius: 8px; 
					z-index: 10; 
					
					.fraction {
						display: flex; line-height: 1.4; font-size: 12px;  
						b {color: rgb(var(--color-secondary)); font-weight: 500; }
						span {color: rgb(var(--color-gray-005)); font-weight: 500; }
					}
					&:before {display: block; clear: both; content: ''; width: 20px; height: 16px; background: url('/img/common/btn_add_img.svg') no-repeat center/ contain; }
				}
				.del_img {
					display: none; position: absolute; top: -4px; right: -4px; z-index: 12; 
					
					&:before {
						display: block; clear: both; content: ''; 
						width: 18px; height: 18px; border-radius: 20px; background: url('/img/common/btn_del_img.svg') no-repeat center; 
					}
				}
				.thumb {
					display: none; position: absolute; top: 0; left: 0; width: 100%; height: 100%; 
					border: 1px solid rgb(var(--color-gray-007)); border-radius: 8px; overflow: hidden; 
					z-index: 9; 
					
					img {display: block; width: 100%; height: 100%; object-fit: cover; }
				}
				&.is_thumb {
					.del_img {display: block; }
					.thumb {display: block; z-index: 11; }
					
				}
			}
		}
	}
}




/** layout */
.layout {min-width: 280px; width: 100%; max-width: 768px; margin: 0 auto; }
.inner {padding-left: 20px; padding-right: 20px; }



/** position */
.relative {position: relative !important; }
.absolute {position: absolute !important; }
.fixed {position: fixed !important; }


/** flex */
.d_flex {display: flex; }
.f_row {flex-direction: row; }
.f_row_reverse {flex-direction: row-reverse; }
.f_column {flex-direction: column; }
.f_column_reverse {flex-direction: column-reverse; }

.f_jc_start {justify-content: flex-start; }
.f_jc_end {justify-content: flex-end; }
.f_jc_center {justify-content: center; }
.f_jc_between {justify-content: space-between; }
.f_jc_around {justify-content: space-around; }

.f_ai_stretch {align-items: stretch; }
.f_ai_start {align-items: flex-start; }
.f_ai_end {align-items: flex-end; }
.f_ai_center {align-items: center; }

.flex1 {flex: 1; }
.flex2 {flex: 2; }
.flex3 {flex: 3; }
.flex4 {flex: 4; }
.flex5 {flex: 5; }
.flex6 {flex: 6; }
.flex7 {flex: 7; }
.flex8 {flex: 8; }
.flex9 {flex: 9; }
.flex10 {flex: 10; }



/** common */
.events_none {pointer-events: none !important; }
.ellipsis {
	display: -webkit-box;
    -webkit-line-clamp: 1; /* 라인수 */
    -webkit-box-orient: vertical;
	white-space: normal; overflow: hidden; word-wrap: break-word; word-break: break-all;
}
.ellipsis2 {text-overflow: ellipsis; overflow: hidden; white-space: nowrap;}
.not_selectable {
	-webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.hide {display: none; }
.box_shadow {background: rgb(var(--color-white)); box-shadow: 0px 3px 9px 0px rgb(var(--color-black), 0.12); }
.file_hidden {position: absolute; width: 1px; height: 1px; margin: -1px; visibility: hidden; }



/** data loading */
#data_loading {
  display: none; justify-content: center; align-items: center; 
  position: fixed; top: 0; left: 0; width: 100%; height: 100%; z-index: 800; 
  
  .overlay {position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: rgb(var(--color-black)); opacity: 0.6; z-index: 1; }
  .loading_cont {position: relative; z-index: 2; }
  .indicator {display: flex; justify-content: center; align-items: center; }
  .spinner {
    width: 48px;
    height: 48px;
    border: 5px solid rgb(var(--color-primary));
    border-bottom-color: transparent !important;
    border-radius: 50%;
    animation: spinner 1s linear infinite;
  }
  &.active {display: flex; }
}

@keyframes spinner {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}


/** toast */
#toast_message {
	display: none; position: fixed; left: 50%; transform: translateX(-50%); width: 100%; padding: 0 20px; z-index: 100;
	.wrap {display: flex; justify-content: center; align-items: center;}
	.message {
		padding: 7px 10px; line-height: 1.2; border-radius: 30px; background: rgb(var(--color-black), 0.6); 
		text-align: center; color: #FFF; font-size: 16px; font-weight: 500; word-break: break-word; 
	}
	
	&.center {top: 50%; transform: translate(-50%, -50%);}
}



/** system modal */
.sys_modal {
	display: none; justify-content: center; align-items: center; 
	position: fixed; top: 0; left: 0; width: 100%; height: 100%; z-index: 700;

	.overlay {position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: rgb(var(--color-black)); opacity: 0.6; z-index: 1; }
	.sys_cont {
		position: relative; width: 350px; padding: 24px 0 16px; border-radius: 12px; background: rgb(var(--color-white)); z-index: 2; 

		.sys_head {padding: 0 16px; text-align: center; font-size: 18px; font-weight: bold; }
		.sys_body {margin-top: 16px; margin-bottom: 24px; padding: 0 16px; line-height: 1.4; color: rgb(var(--color-gray-002)); text-align: center; font-size: 15px; font-weight: 500; }
		.sys_foot {
			display: flex; align-items: center; gap: 10px; padding: 0 16px; 

			.button {flex: 1; height: 46px; font-size: 14px; font-weight: 600; }
		}
	}

	&.active {display: flex; }
}



/** page desc */
.page_desc {
  display: flex; align-items: center; gap: 6px; 
  padding: 8px 20px; background: rgb(var(--color-gray-008)); color: rgb(var(--color-gray-003)); font-size: 12px; 
  &:before {
    display: block; clear: both; content: ''; 
    width: 14px; height: 14px; border-radius: 20px; background: url('/img/common/icon_page_desc.svg') no-repeat center/ contain; 
  }
}



/** tab */
.tab_area {
  .tab {
    display: flex; align-items: center; border-bottom: 1px solid rgb(var(--color-gray-007));
    li {
      flex: 1; text-align: center; position: relative; color: rgb(var(--color-gray-003)); font-size: 16px; 
      .wrap {display: flex; justify-content: center; align-items: center; height: 50px; }
      
      &.active {
        color: rgb(var(--color-gray-001)); font-weight: 600; 
        &:before {display: block; clear: both; content: ''; position: absolute; top: 100%; width: 100%; height: 2px; margin-top: -1px; background: rgb(var(--color-primary));}
      }
    }
  }
}

/** body */
html {
	overflow-y: scroll; 
	/* -webkit-overflow-scrolling: touch;
	overscroll-behavior: none; */
}
body {
	position: relative; display: flex; flex-direction: column; min-height: 100dvh; color: rgb(var(--color-gray-001));
	#app_scroll_container {}
	
	& > section {
		flex: 1; display: flex; flex-direction: column;
	}
	
	#result_ul {
		flex: 1; display: flex; flex-direction: column; 
		
		li {
			&.no_data_li {
				flex: 1; display: flex; flex-direction: column; justify-content: center; align-items: center; gap: 24px; 
				span {color: rgb(var(--color-gray-005)); font-size: 15px; font-weight: 500; }
				&:before {display: block; clear: both; content: ''; width: 33px; height: 33px; }
			}
		}
		
	}
	.bottom_fixed_area {
		position: fixed; left: 0; right: 0; bottom: 0; z-index: 10;
		
		.bt_fixed_wrap {display: flex; padding: 10px 20px; }
	}
	
	.submit_area {
		.submit_wrap {display: flex; padding: 10px 20px; }
	}
}



/** header */
#header {
	position: sticky; 
	top: 0;
	width: 100%; background: #FFF; z-index: 50;
	
	h2 {
		a {display: block; }
		img {display: block; width: 100px; height: 30px; }
	}
	.header_wrap {
		display: flex; justify-content: space-between; align-items: center;
		height: 48px; 
		
		&.main_header h2 {font-size: 20px; font-weight: bold; }
		&.sub_header h2 {font-size: 18px; font-weight: 600; }
	}
	.title_wrap {display: flex; align-items: center; gap: 8px; }

	.hd_btn_wrap {
		display: flex; justify-content: center; align-items: center; position: relative; 
		
		/* .hd_btn {position: absolute; right: 0; } */
		.option_ul_wrap {
			display: none; position: absolute; top: 100%; right: 0; margin-top: 10px; padding: 4px 0; border-radius: 12px; 
			
			.option_ul {
				cursor: pointer; user-select: none; 
				li {display: flex; justify-content: center; align-items: center; min-width: 100px; height: 40px; padding: 0 15px; font-size: 15px; font-weight: 500; }
			}
			&.dropped {display: block; }
		}
	}

	.hd_btn {
		&.hd_back {display: block; width: 25px; height: 24px; background: url('/img/common/btn_hd_back.svg') no-repeat center/contain; }
		&.hd_option {width: 24px; height: 24px; background: url('/img/common/btn_hd_option.svg') no-repeat center/contain; }
		&.hd_alarm {
			width: 28px; height: 28px; background: url('/img/common/btn_hd_alarm.svg') no-repeat center/contain; 
			
			&.unread:before {
				display: block; clear: both; content: ''; 
				position: absolute; top: 2px; right: 5px; width: 7px; height: 7px; border: 1px solid #FFF; border-radius: 10px; background: rgb(var(--color-primary));
			}
		}
	}
	&:before {display: none; clear: both; content: ''; position: absolute; bottom: 0; width: 100%; border-bottom: 1px solid rgb(var(--color-gray-008)); }
}



/** footer */
#footer {
	position: fixed; bottom: 0;
	width: 100%; color: #FFF; border-top: 1px solid rgb(var(--color-gray-007)); background: rgb(var(--color-white), 1); z-index: 10;
	
	.bottom_tab {
		display: flex; position: relative;

		li {
			flex: 1; display: flex; justify-content: center;

			.wrap {
				flex: 1; display: flex; flex-direction: column; align-items: center; gap: 12px; 
				padding-top: 14px; padding-bottom: 16px; 

				i {width: 24px; height: 24px; }
			}
			.home i {background: url('/img/bottom_tab/bt_tab_home_off.svg') no-repeat center/contain; }
			.my_rental i {background: url('/img/bottom_tab/bt_tab_my_rental_off.svg') no-repeat center/contain; }
			.chat i {background: url('/img/bottom_tab/bt_tab_chat_off.svg') no-repeat center/contain; }
			.mypage i {background: url('/img/bottom_tab/bt_tab_mypage_off.svg') no-repeat center/contain; }
			span {position: relative; color: rgb(var(--color-gray-004)); font-size: 12px; }
			&.active {
				.wrap:before {
				display: block; clear: both; content: ''; 
				position: absolute; bottom: 100%; width: 40px; height: 2px; border-radius: 10px; background: rgb(var(--color-primary));
				}
				.home i {background: url('/img/bottom_tab/bt_tab_home_on.svg') no-repeat center/contain; }
				.my_rental i {background: url('/img/bottom_tab/bt_tab_my_rental_on.svg') no-repeat center/contain; }
				.chat i {background: url('/img/bottom_tab/bt_tab_chat_on.svg') no-repeat center/contain; }
				.mypage i {background: url('/img/bottom_tab/bt_tab_mypage_on.svg') no-repeat center/contain; }
				span {color: rgb(var(--color-secondary)); font-weight: 600; }
			}
		}
	}
}



/** calendar */
.basic_calendar {
	.cal_row {display: flex; }
	.cell {width: calc(100% / 7); padding-left: 8px; padding-right: 8px; text-align: center; user-select: none; }
	
	.calendar_head {
		margin-top: 10px; color: rgb(var(--color-gray-002)); font-size: 12px; font-weight: 600; 
		.cell {padding: 10px 0; }
	}
	.calendar_body {
		display: flex; flex-direction: column; 
		
		.cal_row {padding: 8px 0; }
		.cell {
			display: flex; justify-content: center; align-items: center; position: relative; cursor: pointer; 
			
			.content {
				flex: 1; display: flex; justify-content: center; align-items: center; position: relative; border-radius: 50%; 
				
				span {position: relative; text-align: center; font-size: 15px; font-weight: 500; }
				&:before {display: block; clear: both; content: ''; padding-bottom: 100%; }
			}
			
			&[data-disabled="true"] {color: rgb(var(--color-gray-006)); cursor: default; }
			&.hide {
				opacity: 0; cursor: default;
			}
			
			&:before {display: none; clear: both; content: ''; position: absolute; height: 100%; background: rgb(var(--color-primary), 0.1);}
			&.period_select {
				.content {background: rgb(var(--color-primary)); color: rgb(var(--color-white)); }
			}
			&.period_start {
				&:before {display: block; left: 50%; width: 50%; }
			}
			&.period_range {
				&:before {display: block; left: 0; width: 100%; }
			}
			&.period_end {
				&:before {display: block; left: 0; width: 50%; }
			}
			
			/** 렌탈등록 - 예약 불가 */
			&.is_booked {
				color: rgb(var(--color-gray-004)); 
				span:before{
					display: block; clear: both; content: ''; 
					position: absolute; top: 50%; left: -2px; transform: translate(0, -50%); width: calc(100% + 4px); border-bottom: 1px solid rgb(var(--color-gray-004)); 
				}
			}
			
			/** 렌탈등록 - 렌탈 불가 */
			&.selected {
				.content {background: rgb(var(--color-secondary)); color: rgb(var(--color-white)); }
			}
		}
	}
}



/*
* MODAL
*/

/** */
html.on_modal {
	position: fixed; left: 0; right: 0; width: 100%; 
}

/** datepicker overlay */
.datepicker_overlay {
	display: none; position: fixed; top: 0; left: 0; width: 100%; height: 100%; background: rgb(var(--color-black), 0.6); z-index: 60; 
}

/** basic modal */
.basic_modal {
	display: none; justify-content: center; align-items: center; 
	position: fixed; top: 0; left: 0; width: 100%; height: 100%; z-index: 50; 
	
	.overlay {position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: rgb(var(--color-black)); opacity: 0.6; }
	
	.modal_cont {
		display: flex; flex-direction: column; 
		position: relative; width: 100%; max-width: 350px; max-height: 80dvh; border-radius: 12px; background: rgb(var(--color-white)); z-index: 1; overflow: hidden; 
		.modal_head {
			flex-shrink: 0; display: flex; justify-content: center; align-items: center; padding: 24px 16px;
			
			.modal_title {font-size: 18px; font-weight: bold; }
		}
		.modal_body {flex: 1; padding: 0 16px; overflow: auto;}
		.modal_foot {
			flex-shrink: 0; display: flex; align-items: center; gap: 10px; padding: 24px 20px 16px;
			
			.button {flex: 1; height: 46px; font-size: 14px; font-weight: 600; }
		}
	}
	
	&.active {display: flex; }
	
	/** 신고 모달 */
	&#report_modal {
		fieldset {gap: 24px; }
	}
}


/** fullsize modal */
.fullsize_modal {
	display: none; position: fixed; top: 0; left: 0; width: 100%; height: 100%; z-index: 70; overflow: auto; overscroll-behavior: none;
	.modal_cont {display: flex; flex-direction: column; position: relative; min-height: 100%; background: rgb(var(--color-white)); }
	.modal_head {
		position: sticky; top: 0; background: #FFF; z-index: 10; 
		
		.head_wrap {
			display: flex; justify-content: space-between; align-items: center; height: 48px; 
		}
		.left {
			display: flex; align-items: center; gap: 9px; 
			.modal_title {font-size: 18px; font-weight: 600; word-break: break-word; }
		}
		.right {display: flex; align-items: center; }
		.hd_btn {
			&.hd_back {
				display: block; width: 25px; height: 24px; background: url(/img/common/btn_hd_back.svg) no-repeat center / contain;
			}
		}
	}
	.modal_body {flex: 1; display: flex; flex-direction: column; }
	.modal_foot {position: sticky; bottom: 0; z-index: 10; }
	
	&.active {display: block; }
	
	/** 메인 나의 지역 설정 */
	&#my_location_map_modal {
		.head_wrap {height: 54px; }
		.right {
			flex: 1; 
			.sch_input_wrap {flex: 1; height: 38px; border: 1px solid rgb(var(--color-gray-006)); border-radius: 8px; background: rgb(var(--color-white));}
			.loca_sch_submit {
				flex-shrink: 0; width: 20px; height: 20px; 
				background: rgb(var(--color-primary));
				mask: url('/img/common/btn_main_sch.svg') no-repeat center/ contain; 
				-webkit-mask: url('/img/common/btn_main_sch.svg') no-repeat center/ contain; 
			}
		}
		#my_loca_map {flex: 1; width: 100%; height: 100%; }
		.modal_foot {
			position: fixed; left: 0; right: 0; 
			
			.button_wrap {
				display: flex; justify-content: center; position: relative; z-index: 10; 
				.set_my_geolocaction {
					position: absolute; left: 20px; bottom: 0; 
					width: 50px; height: 50px; margin-bottom: 20px; border-radius: 50px; background: url('/img/common/btn_my_current_location.svg') no-repeat center,#FFF; 
				}
				.loca_submit {position: absolute; bottom: 0; width: 180px; margin-bottom: 20px; border-radius: 50px; z-index: 10; }
			}
		}
	}
	
	/** 메인 렌탈 검색 */
	&#main_sch_modal {
		.right {
			flex: 1; 
			.sch_input_wrap {flex: 1; height: 38px; border: none; border-radius: 8px; background: rgb(var(--color-gray-008));}
			.stx_sch_submit {
				width: 20px; height: 20px; background: url('/img/common/btn_main_sch.svg') no-repeat center/ contain; 
			}
		}
		
		.modal_body {
			padding-top: 30px; 
			
			.recent_keyword_area {
				ul {
					gap: 8px;
					
					li {
						display: flex; align-items: center; height: 36px; padding: 0 10px; border: 1px solid rgb(var(--color-gray-007)); border-radius: 20px; cursor: pointer; user-select: none; 
						.keyword {padding: 0 5px; font-size: 14px; font-weight: 500; white-space: nowrap; }
					}
				}
			}
			.recent_product_area {
				ul {
					gap: 14px;
					
					li {
						.wrap {display: flex; flex-direction: column; width: 140px; }
						.thumb {
							position: relative; width: 100%; border-radius: 4px; overflow: hidden; 
							img {display: block; position: absolute; top: 0; left: 0; width: 100%; height: 100%; object-fit: cover; }
							&:before {display: block; clear: both; content: ''; padding-bottom: 100%; }
						}
						.subj {margin-top: 16px; font-size: 15px; font-weight: 500; }
						.dist_wrap {
							display: flex; align-items: center; margin-top: 10px;
							.dist {
								flex-shrink: 0; display: flex; align-items: center; gap: 3px; 
								height: 18px; padding: 0 5px; border-radius: 10px; background: rgb(var(--color-gray-007)); font-size: 11px; 
								&:before {display: block; clear: both; content: ''; width: 7px; height: 8px; background: url('/img/common/icon_product_list_dist.svg') no-repeat center/ contain; }
							}
						}
						.addr {width: 100%; margin-top: 10px; color: rgb(var(--color-gray-003)); font-size: 12px; word-break: break-word; }
						.price {margin-top: 12px; color: rgb(var(--color-gray-002)); font-size: 18px; font-weight: bold; }
					}
				}
			}
			
			.title {
				display: flex; justify-content: space-between; align-items: center; margin-bottom: 20px; 
				
				b {line-height: 18px; font-size: 16px; font-weight: 600; }
				.keyword_all_del {height: auto; color: rgb(var(--color-alert)); font-size: 14px; font-weight: 400; }
			}
			.devide {padding-top: 24px; padding-bottom: 24px; }
			.devide:before {display: block; clear: both; content: ''; width: 100%; height: 1px; background: rgb(var(--color-gray-008)); }
			ul {
				display: flex; padding: 0 20px; overflow: auto; 
				
				.keyword_del {
					flex-shrink: 0; padding: 5px; 
					&:before {display: block; clear: both; content: ''; width: 10px; height: 10px; background: url('/img/common/btn_keyword_del.svg') no-repeat center/ contain; }
				}
			}
		}
	}
	
	/** 회원가입 약관체크 */
	&#term_check_modal {
		.modal_body {
			p {padding-top: 24px; padding-bottom: 56px; line-height: 1.4; font-size: 22px; font-weight: bold; }
			.all_check_area .check_item {
				.elem {
					height: 56px; padding: 0 15px; border-radius: 10px; border: 1px solid transparent; background: rgb(var(--color-gray-008)); 
					
					.label {font-weight: 600;}
				}
				
				input[type="checkbox"] {
					&:checked {
						& ~ .elem {
							border-color: rgb(var(--color-primary), 0.4); background: rgb(var(--color-primary), 0.1);
						}
					}
				}
			}
			.term_ul {
				display: flex; flex-direction: column; gap: 30px; margin-top: 30px; 
				li {display: flex; justify-content: space-between; align-items: center; gap: 10px; }
				.button {height: auto; border-bottom: 1px solid rgb(var(--color-gray-005)); border-radius: 0; color: rgb(var(--color-gray-005)); font-size: 12px; }
			}
		}
		.modal_foot {
			border-top: 1px solid rgb(var(--color-gray-007)); 
			
			.button_wrap {padding: 10px 20px; }	
		}
	}
	
	/** 회원가입 약관 상세 */
	&#terms_modal {
		.modal_head {
			&:before {display: block; clear: both; content: ''; position: absolute; bottom: 0; width: 100%; border-bottom: 1px solid rgb(var(--color-gray-008));}
		}
		.modal_body {
			padding-top: 24px; line-height: 1.4; font-size: 15px; 
			
			img {max-width: 100%; height: auto; }
			.content {padding-bottom: 24px;}
		}
	}
	
	/** 대여 등록 주소 검색 */
	&#postcode_layer_modal {
		/* #postcode_layer_wrap {flex: 1; } */
	}
	
}



/** bottomsheet modal */
.bt_sheet_modal {
	display: none; justify-content: center; align-items: flex-end; 
	position: fixed; top: 0; left: 0; width: 100%; height: 100%; z-index: 50;
	
	.overlay {position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: rgb(var(--color-black)); opacity: 0.6; z-index: 10; }
	.modal_cont {
		display: flex; flex-direction: column; 
		position: relative; border-radius: 20px 20px 0 0; background: rgb(var(--color-white)); z-index: 11; 
	}
	.modal_head {
		flex-shrink: 0; padding: 0 20px; 
		
		.pan_area {
			display: flex; justify-content: center; align-items: center; padding: 12px 0; 
			
			.pan {width: 46px; height: 7px; border-radius: 10px; background: rgb(var(--color-gray-007)); cursor: pointer; }
		}
		.modal_title {padding-top: 10px; padding-bottom: 36px; font-size: 20px; font-weight: bold; }
	}
	.modal_body {
		flex: 1; padding: 0 20px; overflow: auto; 
		
		.check_radio_ul {display: flex; flex-wrap: wrap; }
	}
	.modal_foot {
		flex-shrink: 0; display: flex; align-items: center; gap: 16px; padding: 10px 20px; border-top: 1px solid rgb(var(--color-gray-007)); user-select: none; 
		
		.reset_filter {
			flex-shrink: 0; gap: 12px; color: rgb(var(--color-gray-003));
			&:before {display: block; clear: both; content: ''; flex-shrink: 0; width: 16px; height: 16px; background: url('/img/common/icon_reset_filter.svg');}
		}
	}
	
	&.active {display: flex; }
	
	/** 메인 렌탈 카테고리 시트 */
	&#main_rental_filter_modal {
		.modal_cont {height: 80dvh; }
		#fld_lv1_wrap {}
		#fld_lv2_wrap {
			display: none; 
			&.active {display: block;}
		}
		#fld_lv3_wrap {
			display: none; 
			&.active {display: block;}
		}
		.check_radio_ul {
			gap: 8px 6px;
			li {
				&:not(.empty_li) {
					flex: 0 1 calc((100% - 18px) / 4); 
				}
				&.empty_li {}
			}
		}
	}	
}